<?php

namespace App\Http\helper;

class CreateOrder
{
    // 创建订单号
    public static function order_sn($user_id,$pre='')
    {

        $osn = $pre.env('CONFIG_24680_CURRENCY') . strtoupper(dechex(date('m'))) . date('d') . substr(time(), -5) . substr(microtime(), 2, 5) . sprintf('%02d', rand(0, 99)) . $user_id;

        return $osn;
    }
}
